Index: trunk/project-meta/PROJECT-META.sample.yml
===================================================================
--- trunk/project-meta/PROJECT-META.sample.yml	(revision 150)
+++ trunk/project-meta/PROJECT-META.sample.yml	(revision 150)
@@ -0,0 +1,233 @@
+---
+version: 1
+
+project:
+  title: Blockage of saline intrusions in restricted, two-layer exchange flows across a submerged sill obstruction
+
+  acronym: 14CARR
+
+  authors:
+    - Alan Cuthbertson <email> location
+    - Janek Laanearu <email> location
+    - Magda Carr <email> location
+    - Joel Sommeria <Joel.Sommeria(A)univ-grenoble-alpes.fr> LEGI UMR5519 Grenoble
+    - Samuel Viboud <Samuel.Viboud(A)univ-grenoble-alpes.fr> LEGI UMR5519 Grenoble
+
+  facility-equipment: 
+    - LEGI Coriolis Platform Grenoble
+
+  short-description: >
+    The data in netcdf format (.nc) represent velocity fields in a vertical cut of the gravity current produced on a submerged sill.
+    Two cameras are used, Dalsa1 and Dalsa2.
+    The corresponding velocity field series are stored in the folders named Dalsa1.civ.mproj and Dalsa2.civ(4).mproj respectively.
+    They contain the velocity components U (horizontal) and V (verticla) in cm/s, with coordinates x and y in cm.
+    A flag FF=1 indicates non defined data (0 for good data).
+    Folder named Dalsa1.civ.mproj.stat represents the mean velocities over the whole series of Dalsa1.civ.mproj.
+    Vertical salinity profiles are provided in the folder ProbeNetcdf for each data set.
+    See url-doc and publication for details. 
+
+  url-doc: http://servforge.legi.grenoble-inp.fr/projects/pj-coriolis-14carr
+
+publication:
+  doi: 10.1007/s10652-017-9523-2
+
+  url: https://doi.org/10.1007/s10652-017-9523-2
+
+public-dap:
+  data-licence: license-ouverte-v2.0 
+
+  doi: XXXX/zeodo.YYYY
+
+  dap-folder: /fsnet/project/coriolis/app-dap-public
+
+  data-set:
+    - ESTUARY2_150714/ESTUARY2g/Dalsa1.mproj
+    - ESTUARY2_150714/ESTUARY2g/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2g/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2g/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2g/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2f/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2f/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2f/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2f/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2e/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2e/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2e/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2e/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2d/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2d/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2d/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2d/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2c/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2c/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2c/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2c/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2b/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2b/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2b/Dalsa2.civ4.mproj
+    - ESTUARY2_150714/ESTUARY2b/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ESTUARY2a/Dalsa1.civ.mproj
+    - ESTUARY2_150714/ESTUARY2a/Dalsa1.civ.mproj.stat
+    - ESTUARY2_150714/ESTUARY2a/Dalsa2.civ.mproj
+    - ESTUARY2_150714/ESTUARY2a/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3g/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3g/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3g/Dalsa2.civ.mproj
+    - ESTUARY3_160714/ESTUARY3g/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3g/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3g/Dalsa2.civ4.mproj.stat
+    - ESTUARY3_160714/ESTUARY3f/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3f/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3f/Dalsa2.civ.mproj
+    - ESTUARY3_160714/ESTUARY3f/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3f/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3f/Dalsa2.civ4.mproj.stat
+    - ESTUARY3_160714/ESTUARY3e/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3e/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3e/Dalsa2.civ.mproj
+    - ESTUARY3_160714/ESTUARY3e/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3e/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3e/Dalsa2.civ4.mproj.stat
+    - ESTUARY3_160714/ESTUARY3d/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3d/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3d/Dalsa2.civ.mproj
+    - ESTUARY3_160714/ESTUARY3d/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3d/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3d/Dalsa2.civ4.mproj.stat
+    - ESTUARY3_160714/ESTUARY3c/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3c/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3c/Dalsa2.civ.mproj
+    - ESTUARY3_160714/ESTUARY3c/Dalsa2.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3b/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3b/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3b/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3b/Dalsa2.civ4.mproj.stat
+    - ESTUARY3_160714/ESTUARY3a/Dalsa1.civ.mproj
+    - ESTUARY3_160714/ESTUARY3a/Dalsa1.civ.mproj.stat
+    - ESTUARY3_160714/ESTUARY3a/Dalsa2.civ4.mproj
+    - ESTUARY3_160714/ESTUARY3a/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4g/Dalsa1.civ_1.mproj
+    - ESTUARY4_160714/ESTUARY4g/Dalsa1.civ_1.mproj.stat
+    - ESTUARY4_160714/ESTUARY4g/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4g/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4e/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4e/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4e/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4e/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4d/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4d/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4d/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4d/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4c/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4c/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4c/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4b/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4b/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4b/Dalsa2.civ.mproj
+    - ESTUARY4_160714/ESTUARY4b/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4b/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4a/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4a/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4a/Dalsa1.civ.mproj.mproj
+    - ESTUARY4_160714/ESTUARY4a/Dalsa2.civ.mproj
+    - ESTUARY4_160714/ESTUARY4a/Dalsa2.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4a/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4a/Dalsa2.civ4.mproj.stat
+    - ESTUARY4_160714/ESTUARY4f/Dalsa1.civ.mproj
+    - ESTUARY4_160714/ESTUARY4f/Dalsa1.civ.mproj.stat
+    - ESTUARY4_160714/ESTUARY4f/Dalsa2.civ4.mproj
+    - ESTUARY4_160714/ESTUARY4f/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5b/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5b/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5b/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5b/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5c/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5c/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5c/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5c/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5d/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5d/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5d/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5d/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5e/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5e/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5e/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5e/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5f/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5f/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5f/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5f/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5g/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5g/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5g/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5g/Dalsa2.civ4.mproj.stat
+    - ESTUARY5_160714/ESTUARY5a/Dalsa1.mproj
+    - ESTUARY5_160714/ESTUARY5a/Dalsa1.civ-Dalsa1.mproj
+    - ESTUARY5_160714/ESTUARY5a/Dalsa1.civ.mproj
+    - ESTUARY5_160714/ESTUARY5a/Dalsa1.civ.mproj.stat
+    - ESTUARY5_160714/ESTUARY5a/Dalsa2.civ4.mproj
+    - ESTUARY5_160714/ESTUARY5a/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6g/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6g/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6g/Dalsa2.civ.mproj
+    - ESTUARY6_170714/ESTUARY6g/Dalsa2.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6g/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6g/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6f/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6f/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6f/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6f/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6e/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6e/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6e/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6e/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6d/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6d/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6c/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6c/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6c/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6c/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6b/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6b/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6b/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6b/Dalsa2.civ4.mproj.stat
+    - ESTUARY6_170714/ESTUARY6a/Dalsa1.civ.mproj
+    - ESTUARY6_170714/ESTUARY6a/Dalsa1.civ.mproj.stat
+    - ESTUARY6_170714/ESTUARY6a/Dalsa2.civ4.mproj
+    - ESTUARY6_170714/ESTUARY6a/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7g/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7g/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7g/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7g/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7f/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7f/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7f/Dalsa2.civ.mproj
+    - ESTUARY7_170714/ESTUARY7f/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7f/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7e/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7e/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7e/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7e/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7d/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7d/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7d/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7d/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7b/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7b/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7b/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7b/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7a/Dalsa1.civ_1.mproj
+    - ESTUARY7_170714/ESTUARY7a/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7a/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7a/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7a/Dalsa2.civ4.mproj.stat
+    - ESTUARY7_170714/ESTUARY7c/Dalsa1.civ.mproj
+    - ESTUARY7_170714/ESTUARY7c/Dalsa1.civ.mproj.stat
+    - ESTUARY7_170714/ESTUARY7c/Dalsa2.civ4.mproj
+    - ESTUARY7_170714/ESTUARY7c/Dalsa2.civ4.mproj.stat
+    - ESTUARY2_150714/ProbesNetcdf
+    - ESTUARY3_160714/ProbesNetcdf
+    - ESTUARY4_160714/ProbesNetcdf
+    - ESTUARY5_160714/ProbesNetcdf
+    - ESTUARY6_170714/ProbesNetcdf
+    - ESTUARY7_170714/ProbesNetcdf
Index: trunk/project-meta/licence.d/license-ouverte-v2.0.txt
===================================================================
--- trunk/project-meta/licence.d/license-ouverte-v2.0.txt	(revision 150)
+++ trunk/project-meta/licence.d/license-ouverte-v2.0.txt	(revision 150)
@@ -0,0 +1,171 @@
+Licence Ouverte V 2.0
+
+LICENCE OUVERTE / OPEN LICENCE
+Version 2.0
+
+Â« REUTILISATION Â» DE Lâ Â« INFORMATION Â» SOUS CETTE LICENCE
+Le Â« ConcÃ©dant Â» concÃšde au Â« RÃ©utilisateur Â» un droit non exclusif et gratuit de libre
+Â« RÃ©utilisation Â» de lâÂ« Information Â» objet de la prÃ©sente licence, Ã  des fins
+commerciales ou non, dans le monde entier et pour une durÃ©e illimitÃ©e, dans les
+conditions exprimÃ©es ci-dessous.
+Le Â« RÃ©utilisateur Â» est libre de rÃ©utiliser lâ Â« Information Â» :
+ï· de la reproduire, la copier,
+ï· de lâadapter, la modifier, lâextraire et la transformer, pour crÃ©er des
+Â« Informations dÃ©rivÃ©es Â», des produits ou des services,
+ï· de la communiquer, la diffuser, la redistribuer, la publier et la transmettre,
+ï· de lâexploiter Ã  titre commercial, par exemple en la combinant avec dâautres
+informations, ou en lâincluant dans son propre produit ou application.
+Sous rÃ©serve de :
+- mentionner la paternitÃ© de lâ Â« Information Â» : sa source (au moins le nom du
+Â« ConcÃ©dant Â») et la date de derniÃšre mise Ã  jour de lâ Â« Information Â»
+rÃ©utilisÃ©e.
+Le Â« RÃ©utilisateur Â» peut notamment sâacquitter de cette condition en renvoyant, par
+un lien hypertexte, vers la source de Â«lâInformationÂ» et assurant une mention effective
+de sa paternitÃ©.
+Par exemple : Â« MinistÃšre de xxx - DonnÃ©es originales tÃ©lÃ©chargÃ©es sur
+http://www.data.gouv.fr/fr/datasets/xxx/, mise Ã  jour du 14 fÃ©vrier 2017 Â».
+Cette mention de paternitÃ© ne confÃšre aucun caractÃšre officiel Ã  la Â« RÃ©utilisation Â»
+de lâ Â« Information Â», et ne doit pas suggÃ©rer une quelconque reconnaissance ou
+caution par le Â« ConcÃ©dant Â», ou par toute autre entitÃ© publique, du Â« RÃ©utilisateur Â»
+ou de sa Â« RÃ©utilisation Â».
+
+Â« DONNEES A CARACTERE PERSONNEL Â»
+Lâ Â« Information Â» mise Ã  disposition peut contenir des Â« DonnÃ©es Ã  caractÃšre
+personnel Â» pouvant faire lâobjet dâune Â« RÃ©utilisation Â». Si tel est le cas, le
+Â« ConcÃ©dant Â» informe le Â« RÃ©utilisateur Â» de leur prÃ©sence. Lâ Â« Information Â» peut
+Ãªtre librement rÃ©utilisÃ©e, dans le cadre des droits accordÃ©s par la prÃ©sente licence, Ã 
+
+Avril 2017
+
+1/4
+
+
+Licence Ouverte V 2.0
+condition de respecter le cadre lÃ©gal relatif Ã  la protection des donnÃ©es Ã 
+caractÃšre personnel.
+
+Â« DROITS DE PROPRIETE INTELLECTUELLE Â»
+Il est garanti au Â« RÃ©utilisateur Â» que les Ã©ventuels Â« Droits de propriÃ©tÃ© intellectuelle Â»
+dÃ©tenus par des tiers ou par le Â« ConcÃ©dant Â» sur lâ Â« Information Â» ne font pas
+obstacle aux droits accordÃ©s par la prÃ©sente licence.
+Lorsque le Â« ConcÃ©dant Â» dÃ©tient des Â« Droits de propriÃ©tÃ© intellectuelle Â» cessibles sur
+lâ Â« Information Â», il les cÃšde au Â« RÃ©utilisateur Â» de faÃ§on non exclusive, Ã  titre
+gracieux, pour le monde entier, pour toute la durÃ©e des Â« Droits de propriÃ©tÃ©
+intellectuelle Â», et le Â« RÃ©utilisateur Â» peut faire tout usage de lâ Â« Information Â»
+conformÃ©ment aux libertÃ©s et aux conditions dÃ©finies par la prÃ©sente licence.
+
+RESPONSABILITE
+Lâ Â« Information Â» est mise Ã  disposition telle que produite ou reÃ§ue par le
+Â« ConcÃ©dant Â», sans autre garantie expresse ou tacite que celles prÃ©vues par la
+prÃ©sente licence. Lâabsence de dÃ©fauts ou dâerreurs Ã©ventuellement contenues
+dans lâ Â« Information Â», comme la fourniture continue de lâ Â« Information Â» nâest pas
+garantie par le Â« ConcÃ©dant Â». Il ne peut Ãªtre tenu pour responsable de toute perte,
+prÃ©judice ou dommage de quelque sorte causÃ© Ã  des tiers du fait de la
+Â« RÃ©utilisation Â».
+Le Â« RÃ©utilisateur Â» est seul responsable de la Â« RÃ©utilisation Â» de lâÂ« Information Â».
+La Â« RÃ©utilisation Â» ne doit pas induire en erreur des tiers quant au contenu de
+lâÂ« Information Â», sa source et sa date de mise Ã  jour.
+
+DROIT APPLICABLE
+La prÃ©sente licence est rÃ©gie par le droit franÃ§ais.
+
+COMPATIBILITE DE LA PRESENTE LICENCE
+La prÃ©sente licence a Ã©tÃ© conÃ§ue pour Ãªtre compatible avec toute licence libre qui
+exige au moins la mention de paternitÃ© et notamment avec la version antÃ©rieure de
+la prÃ©sente licence ainsi quâavec les licences Â« Open Government Licence Â» (OGL)
+du Royaume-Uni, Â« Creative Commons Attribution Â» (CC-BY) de Creative Commons
+et Â« Open Data Commons Attribution Â» (ODC-BY) de lâOpen Knowledge Foundation.
+
+Avril 2017
+
+2/4
+
+
+Licence Ouverte V 2.0
+
+DEFINITIONS
+
+Sont considÃ©rÃ©s, au sens de la prÃ©sente licence comme :
+Le Â« ConcÃ©dant Â» Â» : toute personne
+concÃ©dant un droit de Â« RÃ©utilisation Â»
+sur lâ Â« Information Â» dans les libertÃ©s et les
+conditions prÃ©vues par la prÃ©sente
+licence
+Lâ Â« Information Â» :
+- toute information publique
+figurant dans des documents
+communiquÃ©s ou publiÃ©s par une
+administration mentionnÃ©e au
+premier alinÃ©a de lâarticle L.300-2
+du CRPA ;
+- toute information mise Ã 
+disposition par toute personne
+selon les termes et conditions de
+la prÃ©sente licence.
+La Â« RÃ©utilisation Â» : lâutilisation de lâ
+Â« Information Â» Ã  dâautres fins que celles
+pour lesquelles elle a Ã©tÃ© produite ou
+reÃ§ue.
+Le Â« RÃ©utilisateur Â»: toute personne qui
+rÃ©utilise les Â« Informations Â»
+conformÃ©ment aux conditions de la
+prÃ©sente licence.
+
+Avril 2017
+
+Des Â« DonnÃ©es Ã  caractÃšre personnel Â» :
+toute information se rapportant Ã  une
+personne physique identifiÃ©e ou
+identifiable, pouvant Ãªtre identifiÃ©e
+directement ou indirectement. Leur
+Â« RÃ©utilisation Â» est subordonnÃ©e au
+respect du cadre juridique en vigueur.
+Une Â« Information dÃ©rivÃ©e Â» : toute
+nouvelle donnÃ©e ou information crÃ©Ã©es
+directement Ã  partir de lâ Â« Information Â»
+ou Ã  partir dâune combinaison de
+lâ Â« Information Â» et dâautres donnÃ©es ou
+informations non soumises Ã  cette
+licence.
+Les Â« Droits de propriÃ©tÃ© intellectuelle Â» :
+tous droits identifiÃ©s comme tels par le
+Code de la propriÃ©tÃ© intellectuelle
+(notamment le droit dâauteur, droits
+voisins au droit dâauteur, droit sui generis
+des producteurs de bases de
+donnÃ©esâŠ).
+
+3/4
+
+
+Licence Ouverte V 2.0
+
+Ã PROPOS DE CETTE LICENCE
+
+La prÃ©sente licence a vocation Ã  Ãªtre utilisÃ©e par les administrations pour la
+rÃ©utilisation de leurs informations publiques. Elle peut Ã©galement Ãªtre utilisÃ©e par
+toute personne souhaitant mettre Ã  disposition de lâ Â« Information Â» dans les
+conditions dÃ©finies par la prÃ©sente licence
+La France est dotÃ©e dâun cadre juridique global visant Ã  une diffusion spontanÃ©e par
+les administrations de leurs informations publiques afin dâen permettre la plus large
+rÃ©utilisation.
+Le droit de la Â« RÃ©utilisation Â» de lâ Â« Information Â» des administrations est rÃ©gi par le
+code des relations entre le public et lâadministration (CRPA).
+Cette licence facilite la rÃ©utilisation libre et gratuite des informations publiques et
+figure parmi les licences qui peuvent Ãªtre utilisÃ©es par lâadministration en vertu du
+dÃ©cret pris en application de lâarticle L.323-2 du CRPA.
+Etalab est la mission chargÃ©e, sous lâautoritÃ© du Premier ministre, dâouvrir le plus
+grand nombre de donnÃ©es publiques des administrations de lâEtat et de ses
+Ã©tablissements publics. Elle a rÃ©alisÃ© la Licence Ouverte pour faciliter la rÃ©utilisation
+libre et gratuite de ces informations publiques, telles que dÃ©finies par lâarticle L321-1
+du CRPA.
+Cette licence est la version 2.0 de la Licence Ouverte.
+Etalab se rÃ©serve la facultÃ© de proposer de nouvelles versions de la Licence Ouverte.
+Cependant, les Â« RÃ©utilisateurs Â» pourront continuer Ã  rÃ©utiliser les informations quâils
+ont obtenues sous cette licence sâils le souhaitent.
+
+Avril 2017
+
+4/4
+
+
Index: trunk/project-meta/project-meta
===================================================================
--- trunk/project-meta/project-meta	(revision 150)
+++ trunk/project-meta/project-meta	(revision 150)
@@ -0,0 +1,161 @@
+#!/usr/bin/env perl
+#
+# 2018/01/17 Gabriel Moreau
+
+use strict;
+use warnings;
+
+use File::Copy qw{copy};    
+use YAML::Syck;
+use Getopt::Long();
+use Cwd();
+
+my ($verbose);
+Getopt::Long::GetOptions(
+   'verbose' => \$verbose,
+   );
+
+
+my %CMD_DB = (
+   'help'            => \&cmd_help,
+   'version'         => \&cmd_version,
+   'check'           => \&cmd_check,
+   'make-link'       => \&cmd_make_link,
+   'make-author'     => \&cmd_make_author;
+   'make-licence'    => \&cmd_make_licence;
+   );
+
+################################################################
+# main program
+################################################################
+
+my $cmd = shift @ARGV || 'help';
+if (defined $CMD_DB{$cmd}) {
+   $CMD_DB{$cmd}->(@ARGV);
+   }
+else {
+   print {*STDERR} "project-meta: command $cmd not found\n\n";
+   $CMD_DB{'help'}->();
+   exit 1;
+   }
+
+exit;
+
+################################################################
+# subroutine
+################################################################
+
+################################################################
+# command
+################################################################
+
+sub cmd_help {
+   print <<END;
+NAME
+   $0 - action on project metadata
+
+SYNOPSIS
+   $0 [-verbose] check
+END
+   }
+
+################################################################
+
+sub cmd_version {
+   print "0.01\n";
+   }
+
+################################################################
+
+sub print_ok {
+   my ($key, $test) = @_;
+   
+   printf "%-35s : %s\n", $key, $test ? 'yes' : 'no';
+   }
+
+################################################################
+
+sub cmd_check {
+   my $meta = YAML::Syck::LoadFile("PROJECT-META.yml");
+
+   my $acronym     = $meta->{'project'}{'acronym'};
+   my $current_dir = "/fsnet/project/coriolis/2014/14CARR" ; # Cwd::getcwd();
+   my $dap_folder  = $meta->{'public-dap'}{'dap-folder'};
+
+   print_ok 'project/acronym',                  $acronym =~ m{\d\d\w[\w\d_]+};
+   print_ok 'public-dap/dap-folder',            $dap_folder ne '' and $dap_folder =~ m{^/};
+   print_ok 'dap-folder not match current_dir', $dap_folder !~ m{$current_dir};
+
+   #print YAML::Syck::Dump($meta);
+   }
+
+################################################################
+
+sub addfolder2list {
+   my ($folderdb, $folder) = @_;
+   
+   $folder =~ s{/[^/]+$}{};
+   $folderdb->{$folder}++;
+
+   addfolder2list($folderdb, $folder) if $folder =~ m{/};
+   }
+
+################################################################
+
+sub cmd_make_link {
+   my $meta = YAML::Syck::LoadFile("PROJECT-META.yml");
+   my $acronym = $meta->{'project'}{'acronym'};
+   my $current_dir = "/fsnet/project/coriolis/2014/14CARR" ; # Cwd::getcwd();
+   my $dap_folder = $meta->{'public-dap'}{'dap-folder'};
+
+   # Create a list of the folder
+   my %folders;
+   for my $dataset (@{$meta->{'public-dap'}{'data-set'}}) {
+      addfolder2list(\%folders, $dataset);
+      }
+
+   print "chmod o+rX,o-w $current_dir\n";
+   for my $folder (sort keys %folders) {
+      print "chmod o+rX,o-w $current_dir/$folder\n";
+      print "mkdir -p $dap_folder/$acronym/$folder\n";
+      }
+
+   for my $dataset (@{$meta->{'public-dap'}{'data-set'}}) {
+      my $folder = $dataset =~ s{/[^/]+$}{}r;
+      print "ln --symbolic --target-directory $dap_folder/$acronym/$folder/ $current_dir/$dataset\n";
+
+   print "chmod -R o+rX,o-w $dap_folder/$acronym/\n";
+      }
+   }
+
+################################################################
+
+sub cmd_make_author {
+   my $meta = YAML::Syck::LoadFile("PROJECT-META.yml");
+   }
+
+################################################################
+
+sub cmd_make_licence {
+   my $meta = YAML::Syck::LoadFile("PROJECT-META.yml");
+
+   my $current_dir = Cwd::getcwd();
+
+   if (-f "$current_dir/LICENCE.txt") {
+      print "Warning: LICENCE.txt already exists\n";
+      return;
+      }
+
+   my $licence = $meta->{'public-dap'}{'data-licence'};
+
+   if (not -f "/usr/share/project-meta/licence.d/$licence.txt") {
+      print "Error: licence $licence doesn't exists in project-meta database\n";
+      exit 1;
+      }
+
+   copy("/usr/share/project-meta/licence.d/$licence.txt", "$current_dir/LICENCE.txt")
+      or die "Error: licence copy failed - $!";
+   return;
+   }
+
+################################################################